[package]
name = "nautilus_common"
version = "0.1.0"
edition = "2024"

[dependencies]
anyhow = { workspace = true }
chrono = { workspace = true }
ctrlc = { workspace = true }
derive_more = {workspace = true, features = ["display", "from", "add", "add_assign", "not"]}
fern = { workspace = true }
log = { workspace = true }
postcard = { workspace = true }
serde = { workspace = true }
thiserror = { workspace = true }
tokio = { workspace = true, optional = true, features = ["net"] }
tokio-util = {workspace = true, optional = true}

[features]
async = [ "dep:tokio", "dep:tokio-util" ]
